[Aerodynamics]
m_airDensity=1.25
m_dragCoefficient=0.282
m_extraGravityws=0; 0; 0; 0
m_frontalArea=1.9474506
m_liftCoefficient=-0.3

[Brake]
Brakes_F0_Const=22
Brakes_F0=0.01
MaxHandbrakeValue=1.0
MinPedalInputToBlock_0_1=0.4
MinPedalInputToBlock_2_3=0.4
m_maxBreakingTorque_0_1=12000
m_maxBreakingTorque_2_3=3000
m_wheelsMinTimeToBlock=0.1
isConnectedToHandbrake_0_1=false
isConnectedToHandbrake_2_3=True
UseCalculatedFriction=true

UseABS=true
AbsLockTime=0.0
AbsTimeToRestoreLock=0.1
AbsBrakingTorqueCoeff = 0.8
AbsMinBrakeToActivate = 0.01
AbsMinSpeedToActivate = 1


[Common]
m_frictionEqualizer=0.7
m_torqueRollFactor=0.4
m_torquePitchFactor=1.8
m_torqueYawFactor=0.17
m_chassisUnitInertiaYaw=1.75
m_chassisUnitInertiaRoll=0.5
m_chassisUnitInertiaPitch=2.45
m_maxVelocityForPositionalFriction=1
body_restitution=0
body_mass=1400
body_friction=1.0
bodyShift=0; 0; 0
MeshShapeRadius=0.01
Initial_Y_shift=0
PhysicsFiles="meshes:cars/BMWX5MF95_by_Heisenberg/p_body.hkx"
TrailerRotateAngle = 105
TrailerUpAngle = 30
TrailerTwistAngle = 30



[Engine]
EngineFileName="Engine/BMWX5MF95_by_Heisenberg/vaz21129.power.csv"
MaxMass=20
MaxRadius=0.12
MaxRpmAcc=11000
MinRpmAcc=-6000
ResistFileName="Engine/BMWX5MF95_by_Heisenberg/vaz21129.losts.csv"
maxRPM=8000
minRPM=100
xxRPM=800
EngneCoolingSpeed=2.0
EngneHeatingSpeed=0.4
TermostatTemperature=93.0
OilPressureXX=1.0


[Gear ratio]
DefaultDriveBridgeTorqueRatio=0.5;0.5
DriveBridgeTorqueRatio=0.5;0.5
GearBoxLimitState=3
MinSpeedForKickDown=0.1
gearsRatio_auto=5.4; 2.68; 1.7; 1.32; 1.07; 0.9; 0.8
gearsRatio_manual=5.0; 2.67; 1.6; 1.25; 0.97; 0.78
m_primaryTransmissionRatio_auto=4
m_primaryTransmissionRatio_manual=4
m_reverseGearRatio_auto=4
m_reverseGearRatio_manual=4




[Misc]
TractorTrailerConnectionPoint_ForTrailer= 0; -0.149; 2.775
extra_centerOfMass=0; -0.1; -0.0
CargoEnabled=true
CargoPosition = 0.0; -0.155; 1.334


[Steering]
m_autoReverse=false
m_maxSteeringAngle=0.9
m_maxSpeedFullSteeringAngle=31

[Suspension]
dampingCompression_and_dampingRelaxation=8
suspension_length_0_1=0.303
suspension_length_2_3=0.294
suspension_strength_0_1=45
suspension_strength_2_3=45

[Transmission]
AutoTransmissionName="Transmission\BMWX5MF95_by_Heisenberg"
ManualTransmissionEfficiency=0.88
manual_transmission=true

AutoTransmission_ShiftAccelerator =	0;		1
AutoTransmission_OptimalRpm = 		1200;	5900
AutoTransmission_thresholdDeltaRpm = 250



[VelocityDamper]
m_collisionSpinDamping=3
m_collisionThreshold=1
m_normalSpinDamping=0

[Wheels]
WheelForceFeedbackMultiplier=0
WheelRadius=0.391
WheelMass=73
WheelWidth=0.205
WheelViscosityFriction=0.2
m_doesWheelSteer[0]=true
m_doesWheelSteer[1]=true
m_doesWheelSteer[2]=false
m_doesWheelSteer[3]=false
m_numWheels=4
m_wheelParams[0].m_friction=1.5
m_wheelParams[1].m_friction=1.5
m_wheelParams[2].m_friction=1.6
m_wheelParams[3].m_friction=1.6
m_wheelParams[0].m_slipAngle=0
m_wheelParams[1].m_slipAngle=0
m_wheelParams[2].m_slipAngle=0
m_wheelParams[3].m_slipAngle=0
m_wheelParams[0].m_hardpointChassisSpace=-0.837; -0.00; -1.471
m_wheelParams[1].m_hardpointChassisSpace=0.837; -0.00; -1.471
m_wheelParams[2].m_hardpointChassisSpace=-0.841; -0.00; 1.498
m_wheelParams[3].m_hardpointChassisSpace=0.841; -0.00; 1.498
wheelCriticalTorque=1500
slidingFrictionFactor=0.7


[Cargo]
CargoVolume=450